
/*****************************************************************************
**
** File:        mqnamq.c
** Purpose:     Natural Interface for MQSeries
** Description: Map from NAMQxxxx calls to MQxxxx calls
**
** (c) Copyright 2001 by IBM
**
*****************************************************************************/

#include "natuser.h"	    	/* Natural User Exit	                */
#define NAMQ_ONLY               /* Only include NAMQxxxx prototypes     */
#include "namq.h"               /* MQ interface function prototypes     */

NATFCT MQBACK  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQBACK(nparm, parmptr, parmdec);
}

NATFCT MQBEGIN NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQBEGIN(nparm, parmptr, parmdec);
}

NATFCT MQCLOSE NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQCLOSE(nparm, parmptr, parmdec);
}

NATFCT MQCMIT  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQCMIT(nparm, parmptr, parmdec);
}

NATFCT MQCONN  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQCONN(nparm, parmptr, parmdec);
}

NATFCT MQDISC  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQDISC(nparm, parmptr, parmdec);
}

NATFCT MQGET   NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQGET(nparm, parmptr, parmdec);
}

NATFCT MQOPEN  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQOPEN(nparm, parmptr, parmdec);
}

NATFCT MQPUT   NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQPUT(nparm, parmptr, parmdec);
}

NATFCT MQPUT1  NATARGDCL(nparm, parmptr, parmdec) {
   return NAMQPUT1(nparm, parmptr, parmdec);
}
